DX11 feature level 10.0 is required to run the engine , the way I fixed it

Hello,
as a lot of gamer i’ve encounter this error message suddently without having any problem before.
I’ve check all my drivers, from my devies and windows update.
Everything was updated.
I’ve decide to start the game by activating batlleeye and the game talk me about à directX dll problem.
So i’ve download a new dirextX dll here:

For me I’ve downloaded the latest one in X64 architecture.
And put it in the following directory in conan exil installation.
Conan Exiles\ConanSandbox\Binaries\Win64
Replace the existing one by the new one.
I’ve restarted the game, re checked the desactivate battleeye and the game launched itself perfectly.
Hoping it will help.
Schuss
François

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.